package com.njcn.enums;

/**
 * @description: 数据字典类型枚举
 * @author: denghuajun
 * @time: 2019-09-27 09:55:07
 **/

public enum DicDataTypeEnum {
    areaEnum("行政区域"),resourceEnum("资源类目"),
    deviceFuncEnum("装置功能"),voltageEnum("电压等级"),
    serviceEnum("业务事件类型"),sagReasonEnum("暂降原因"),
    sagTypeEnum("暂降类型"),payloadEnum("干扰源类型"),
    industryEnum("行业类型"),deviceTypeEnum("装置类型"),
    systemEnum("系统事件类型"),transFormerEnum("变压器接线方式"),
    manufacturerEnum("制造厂商"),emergencyEnum("告警类型"),
    prepositionEnum("前置类型"),systemTypeEnum("系统版本"),
    modeConnectEnum("接线方式"), deviceStateEnum("装置状态类型"),
    terminalGrade("终端等级"),
    menuTypeEnum("菜单资源"),terminalEnum("运维日志");






    private String name;

    DicDataTypeEnum( String name){
        this.name=name;
    }


    public String getName() {
        return name;
    }
}
